POST
/v1/mgmt/permission/update

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

name?string

Either name or id must be provided (not both). The identified permission will be updated.

newName?string
description?string
id?string

Update a permission, using a valid management key.

This API endpoint allows administrators to update an existing permission. The endpoint takes the following two parameters:

  • name (required)
  • description (optional - though if not provided, it will be removed from the permission)

Next Steps

Once you have this data, you can utilize the newly created role to Create Roles or Update Roles

See also

curl -X POST "https://api.descope.com/v1/mgmt/permission/update" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?